#!/usr/bin/env bash

set -e

RETRIES=60

/usr/bin/xivo-dcomp up -d rabbitmq

for i in $(seq $RETRIES -1 1); do
    rabbitmq_status=$(/usr/bin/xivo-dcomp exec -T rabbitmq "rabbitmq-diagnostics -q check_running" >/dev/null 2>&1 ; echo $?)

    if [ "$rabbitmq_status" -eq 0 ]; then
        exit 0
    fi

    sleep 1
done

echo "ERROR: rabbitmq container is still not ready for amqp connection"
exit 1
